Bug 1463124 - Make hosted-engine requirement optional
Make hosted-engine requirement optional
Status: CLOSED CURRENTRELEASE
Product: cockpit-ovirt
Classification: oVirt
Component: Hosted Engine (Show other bugs)
---
Unspecified Unspecified
urgent Severity high
: ovirt-4.1.4
: 0.10.7-0.0.20
Assigned To: Ryan Barry
Yihui Zhao
:
Depends On:
Blocks: 1408942
  Show dependency treegraph
 
Reported: 2017-06-20 04:01 EDT by Sandro Bonazzola
Modified: 2017-07-28 10:21 EDT (History)
12 users (show)

See Also:
Fixed In Version: cockpit-ovirt-0.10.7-0.0.21
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 10:21:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
ycui: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78948 master MERGED dashboard: make the hosted engine page optional 2017-07-05 14:32 EDT
oVirt gerrit 79071 ovirt-4.1 MERGED dashboard: make the hosted engine page optional 2017-07-05 14:34 EDT

  None (edit)
Description Sandro Bonazzola 2017-06-20 04:01:23 EDT
We want to be able to install cockpit-ovirt-dashboard on all hosts during host-deployment, see bug #1408942.

In host-deploy, ovirt-hosted-engine is optional.
Also, we are going to require cockpit-ovirt within ovirt-host package (see bug #1460609) and require it also in ovirt-hosted-engine-setup instead of specifying one by one all the needed dependencies (see bug #1461083).

This will introduce a circular dependency:
ovirt-hosted-engine-setup -> ovirt-host -> cockpit-ovirt -> ovirt-hosted-engine-setup

Please make hosted-engine tab optional, disabling it if hosted-engine binary is not installed as we did for node tab with nodectl.
Comment 2 Yihui Zhao 2017-07-19 00:49:55 EDT
Hosted engine tab is disabled, if the ovirt-hosted-engine-setup package is not installed.

Test version:
cockpit-ovirt-dashboard-0.10.7-0.0.21.el7ev.noarch
rhvh-4.1-0.20170714.0+1

Steps:
1. Clean the cockpit-ovirt-dashboard and ovirt-hosted-engine-setup package
2. Download the cockpit-ovirt-dashboard package, use CMD "rpm -ivh *.rpm --nodeps
3. Login to cockpit, check the Hosted Engine tab.

Result:
Display the information:

"Hosted Engine is not installed. Please install to enable Cockpit-based setup and management of Hosted Engine."

So the bug's status is changed to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.